> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue Ticket (PNR)

> Issue the airline e-ticket and receive the PNR after payment



## OpenAPI

````yaml api-reference/openapi.json POST /pms/api/external/request/flights/ticket/
openapi: 3.1.0
info:
  title: PayVessel API
  description: >-
    PayVessel API for accepting payments, sending money, verifying identities,
    and managing wallets
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - {}
paths:
  /pms/api/external/request/flights/ticket/:
    post:
      tags:
        - Flights
      summary: Issue Ticket (PNR)
      description: >-
        Issue the airline e-ticket for a confirmed booking. Call after
        collecting payment. Returns the PNR and e-ticket numbers.
      operationId: flightTicketPNR
      parameters:
        - name: api-key
          in: header
          description: Your PayVessel public API key
          required: true
          schema:
            type: string
        - name: api-secret
          in: header
          description: Your PayVessel API secret
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
          example: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlightTicketRequest'
            examples:
              ticket:
                summary: Issue ticket
                value:
                  BookingId: BK-20260820-98765
      responses:
        '200':
          description: Ticket issued successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlightTicketResponse'
              examples:
                ticketed:
                  summary: Ticket issued
                  value:
                    status: true
                    message: Ticket issued successfully
                    data:
                      PNR: XYZABC
                      ticketNumbers:
                        - 167-1234567890
                      bookingId: BK-20260820-98765
                      status: TICKETED
                      airline: Arik Air
                      flightNumber: W3 204
                      origin: LOS
                      destination: ABV
                      departureTime: '2026-08-20T06:30:00'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden — flight booking access not enabled for this business
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Flight service temporarily unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FlightTicketRequest:
      type: object
      required:
        - BookingId
      properties:
        BookingId:
          type: string
          description: The bookingId from the Book a Flight response
    FlightTicketResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            PNR:
              type: string
              description: Airline PNR code
            ticketNumbers:
              type: array
              items:
                type: string
            bookingId:
              type: string
            status:
              type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````